/**
  *  \file ui/msgbox.h
  *  \brief Standard Message Boxes
  *
  *  (c) 2001-2008 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_UI_MSGBOX_H
#define PCC_V2_UI_MSGBOX_H

#include "cpluslib/string.h"
#include "ui/window.h"
#include "cpluslib/holder.h"
#include "ui/layout.h"

/** Multi-Line Static Text. */
// FIXME: This class should probably be moved elsewhere.
class UIMultilineStatic : public UIWidget {
    int font;
    string_t text;
    int width, lines;
 public:
    UIMultilineStatic(int font, string_t text, int width, int id = 0);
    void draw(GfxCanvas& can);
    void getLayoutInfo(LayoutInfo& li);
    void setText(string_t text);
};

class UIMessageBox : public UIWindow {
    ObjectHolder h;
    UIGroup&     group;
    UIVBoxLayout layout10;
 public:
    UIMessageBox(string_t text, string_t title);

    UIMessageBox& addButton(int id, string_t btn, UIKey k);

    int    run();

    bool   doYesNoDialog();
    void   doOkDialog();

    bool   handleEvent(const UIEvent& e, bool second_pass);
};

void
messageBox(string_t text, string_t title);

#endif
